Subject: Calc shift right broken
From: Vincent Belaïche <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 2 Oct 2020 15:28:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Not sure whether this has to do with the other one.
I am on another machine, it is GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.20) of 2020-05-17, modified by Debian

Anyway, I do this:

2 RET
;; display in hexa
d 6 RET
;; Raise to the power 32
32 ^
;; Shitf right by 30
C-u 32 b r
;; I get 0, whereas I expected 4

I have the impression that the old bigpos bigneg lisp based big intergers have been replaced by C bigintegers, and this is the root of all these regression.
Well, just a speculation.
  V.